org.apache.xalan.extensions

## Class XPathFunctionImpl

- java.lang.Object
- - org.apache.xalan.extensions.XPathFunctionImpl

All Implemented Interfaces:
  XPathFunction

    public class XPathFunctionImpl
    extends java.lang.Object
    implements XPathFunction

A sample implementation of XPathFunction, with support for EXSLT extension functions and Java extension functions.

### Constructor Summary

Constructors
Constructor and Description
`XPathFunctionImpl(ExtensionHandler handler, java.lang.String funcName)` Construct an instance of XPathFunctionImpl from the ExtensionHandler and function name.

### Method Summary

Methods
`java.lang.Object` `evaluate(java.util.List args)` Evaluate the function with the specified arguments.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XPathFunctionImpl

    public XPathFunctionImpl(ExtensionHandler handler,
                     java.lang.String funcName)

Construct an instance of XPathFunctionImpl from the ExtensionHandler and function name.

### Method Detail

#### evaluate

    public java.lang.Object evaluate(java.util.List args)
                              throws XPathFunctionException

Description copied from interface: `XPathFunction`

Evaluate the function with the specified arguments.

To the greatest extent possible, side-effects should be avoided in the definition of extension functions. The implementation evaluating an XPath expression is under no obligation to call extension functions in any particular order or any particular number of times.

Specified by:
  `evaluate` in interface `XPathFunction`
Parameters:
  `args` - The arguments, `null` is a valid value.
Returns:
  The result of evaluating the `XPath` function as an `Object`.
Throws:
  `XPathFunctionException` - If `args` cannot be evaluated with this `XPath` function.
See Also:
  `XPathFunction.evaluate(java.util.List)`